=== debian/changelog ===
pmdk (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Feb 2019 14:50:48 +0100

pmdk (1.5.1~rc3-2) experimental; urgency=medium

  * Disable a failing test (real bug; tmpfs only).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Feb 2019 01:18:14 +0100

pmdk (1.5.1~rc3-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop upstreamed patch.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 15 Feb 2019 16:11:49 +0100

pmdk (1.5.1~rc2-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop upstreamed patches.
  * Re-enable valgrind tests.
  * Fix broken .pc for librpmem.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 11 Feb 2019 16:14:47 +0100

pmdk (1.5-5) unstable; urgency=medium

  * Fix one, and paper over another, tests failing with bash 5.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Feb 2019 20:06:36 +0100

pmdk (1.5-4) unstable; urgency=medium

  * Use UTC for SOURCE_DATE_EPOCH.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Jan 2019 13:42:12 +0100

pmdk (1.5-3) unstable; urgency=medium

  * Make the build reproducible.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 07 Jan 2019 15:26:53 +0100

pmdk (1.5-2) unstable; urgency=medium

  * Don't B-Depend on valgrind, it can't handle glibc 2.28 yet.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 04 Jan 2019 14:05:10 +0100

pmdk (1.5-1) unstable; urgency=medium

  * Initial release.  Closes: #913889

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 06 Dec 2018 16:19:04 +0100
