## pmdk 1.6

=== debian/changelog ===
pmdk (1.6-5) unstable; urgency=medium

  * B-Depend on ndctl with fixed fd leaks, don't ignore fails.
  * Drop a redundant failing autopkgtest.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jul 2019 03:14:34 +0200

pmdk (1.6-4) unstable; urgency=medium

  * Fix FTBFS with valgrind 3.15.
  * Fix a strict aliasing violation (caused crashes with some
    compiler:platform combinations).
  * Depend on valgrind that doesn't SIGILL on DC CVAC on arm64.
  * Unversion B-Dep on dh-exec.
  * Increase test timeout by 10×.
  * dh 12.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 22 Jul 2019 23:31:11 +0200

pmdk (1.6-3) unstable; urgency=medium

  * Disable obj_pool/TEST34 again -- times out on crap hardware.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 15:28:07 +0200

pmdk (1.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Merge in Ubuntu changes (dh_missing, Build-Depends-Package, docs).
  * Other minor docs improvements.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 11:55:38 +0200

pmdk (1.6-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Mar 2019 22:58:25 +0100

pmdk (1.6~rc2-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Mar 2019 02:04:47 +0100
