=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: bash-completion,
                bc,
-               debhelper (>= 11),
-               dh-exec (>= 0.3),
+               debhelper-compat (= 12),
+               dh-exec,
                libdaxctl-dev (>= 60.1),
                libfabric-dev [amd64],
-               libndctl-dev (>= 60.1),
+               libndctl-dev (>= 64),
                pandoc,
                pkg-config,
+               strace,
                valgrind,
-Standards-Version: 4.3.0
+               valgrind (>= 1:3.15.0) [arm64],
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://pmem.io/pmdk/
 Vcs-Git: https://github.com/kilobyte/pmdk -b debian
 Vcs-Browser: https://github.com/kilobyte/pmdk/tree/debian
 
 Package: libpmem1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory low level support library
  libpmem provides low level persistent memory support.  In particular, support
@@ -30,7 +33,7 @@
  level libraries like libpmemobj to be much more convenient.
 
 Package: libpmem1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory low level support library — debug build
  libpmem provides low level persistent memory support.  In particular, support
@@ -47,7 +50,7 @@
 
 Package: libpmem-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: development files for libpmem1
  libpmem provides low level persistent memory support.  In particular, support
@@ -58,7 +61,7 @@
  against libpmem.
 
 Package: libpmemblk1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory block array support library
  libpmemblk implements a pmem-resident array of blocks, all the same size, where
@@ -70,7 +73,7 @@
  libpmemobj to be more generally useful.
 
 Package: libpmemblk1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -89,7 +92,7 @@
 
 Package: libpmemblk-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemblk1 (= ${binary:Version}),
          ${misc:Depends},
@@ -103,7 +106,7 @@
  against libpmemblk.
 
 Package: libpmemlog1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory log file support library
  libpmemlog implements a pmem-resident log file.
@@ -113,7 +116,7 @@
  libpmemobj to be more generally useful.
 
 Package: libpmemlog1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -130,7 +133,7 @@
 
 Package: libpmemlog-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemlog1 (= ${binary:Version}),
          ${misc:Depends},
@@ -142,7 +145,7 @@
  against libpmemlog.
 
 Package: libpmemobj1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory object store support library
  libpmemobj turns a persistent memory file into a flexible object store,
@@ -150,7 +153,7 @@
  other features.
 
 Package: libpmemobj1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -165,7 +168,7 @@
 
 Package: libpmemobj-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemobj1 (= ${binary:Version}),
          ${misc:Depends},
@@ -179,7 +182,7 @@
  against libpmemobj.
 
 Package: libpmempool1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory pool management support library
  libpmempool provides a set of utilities for management, diagnostics and repair
@@ -190,7 +193,7 @@
  also.
 
 Package: libpmempool1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -208,7 +211,7 @@
 
 Package: libpmempool-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmempool1 (= ${binary:Version}),
          ${misc:Depends},
@@ -273,7 +276,7 @@
  against librpmem.
 
 Package: libvmem1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory volatile memory support library
  The libvmem library turns a pool of persistent memory into a volatile memory
@@ -282,8 +285,3 @@
  .
  libvmem supports the traditional malloc/free interfaces on a memory mapped
  file.  This allows the use of persistent memory as volatile memory, for cases
- where the pool of persistent memory is useful to an application, but when the
- application doesn’t need it to be persistent.
-
-Package: libvmem1-debug
-Architecture: amd64
