=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 override_dh_installexamples:
 	dh_installexamples --exclude=.gitignore --exclude=.vcxproj
 
+override_dh_missing:
+	dh_missing --list-missing --exclude=usr/share/man --exclude=usr/lib/$(DEB_HOST_MULTIARCH)/pmdk_debug/ --exclude=usr/share/bash-completion/completions/pmempool
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Use fake pmem; we really want tmpfs if possible.
@@ -34,7 +37,9 @@
 	echo "TEST_BUILD=\"debug nondebug\"" >> src/test/testconfig.sh
 	# Display execution time of each test
 	echo "TM=1" >> src/test/testconfig.sh
-	# Kill a legitimately failing test (kernel bug on tmpfs).
+	# Still fails/times out on weird setups (a 33GB fallocate).
 	rm -f src/test/obj_pool/TEST34
+	# Be nice to slow hardware.
+	echo TEST_TIMEOUT=30m >> src/test/testconfig.sh
 	+$(MAKE) check
 endif
