## pmdk 1.6.1

=== debian/changelog ===
pmdk (1.6.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
    - d/rules: re-enabled TEST34 as it seems to work fine in the Ubuntu
      test runners
    - d/t/{daxio-version,rpmemd-version}: adjust the test to cope with
      release candidate versions

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 29 Aug 2019 15:54:42 -0300

pmdk (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Make -dev packages of libraries with RAS features depend on relevant
    ndctl/daxctl-dev.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 28 Aug 2019 02:41:52 +0200

pmdk (1.6.1~rc1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
    - d/rules: re-enabled TEST34 as it seems to work fine in the Ubuntu
      test runners
  * Dropped:
    - d/t/control, d/t/rpmemd-version: added simple rpmemd test just to
      verify that the tool runs. Also flag the test as being amd64 only,
      and skip it in other arches.
      [Included in 1.6.1~rc1-1]
  * Added:
    - d/t/{daxio-version,rpmemd-version}: adjust the test to cope with
      release candidate versions

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 22 Aug 2019 11:25:43 -0300

pmdk (1.6.1~rc1-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 19 Aug 2019 17:15:43 +0200

pmdk (1.6-5ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
  * Dropped:
    - d/p/manpage-debug-packages.patch: mention the -debug package split
      in Ubuntu systems
      [Added in 1.6-2]
    - d/rules: use dh_missing with --fail and known exclusions for files
      installed by other dh tools
      [Added in 1.6-2]
  * Added:
    - d/t/control, d/t/rpmemd-version: added simple rpmemd test just to
      verify that the tool runs. Also flag the test as being amd64 only,
      and skip it in other arches.
      [This was dropped in Debian because it tried to run in arm64]
    - d/rules: re-enabled TEST34 as it seems to work fine in the Ubuntu
      test runners

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 29 Jul 2019 15:16:33 -0300

pmdk (1.6-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/manpage-debug-packages.patch: mention the -debug package split
      in Ubuntu systems
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/rules: use dh_missing with --fail and known exclusions for files
      installed by other dh tools
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
    - d/not-installed: list files from the pmreorder python script that
      we are choosing to not install because it's not ready yet, requiring
      forks of other tools.
  * Dropped:
    - d/rules: don't remove TEST34 as it is passing in Ubuntu atm
      [In 1.6~rc2-1]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 May 2019 11:57:43 -0300

pmdk (1.5.1-1ubuntu1) eoan; urgency=medium

  * d/p/manpage-debug-packages.patch: mention the -debug package split
    in Ubuntu systems
  * libpmemobj c++ bindings are on separate source now:
    - d/libpmemobj-doc.install: removed
    - d/libpmemobj-doc.doc-base: removed
    - d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
  * d/rules: use dh_missing with --fail and known exclusions for files
    installed by other dh tools
  * d/rules: don't remove TEST34 as it is passing in Ubuntu atm
  * d/NEWS: added to explain important packaging changes in this update
  * d/control: the valgrind test is failing, remove it from
    build-depends
  * d/README.source: explains some lintian checks and the reason why
    jemalloc is bundled.
  * d/not-installed: list files from the pmreorder python script that
    we are choosing to not install because it's not ready yet, requiring
    forks of other tools.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 16 May 2019 14:48:30 +0000
