=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: pmdk
 Section: libs
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: bash-completion,
                bc,
                debhelper-compat (= 12),
                dh-exec,
-               libdaxctl-dev (>= 60.1),
+               libdaxctl-dev (>= 64),
                libfabric-dev [amd64],
                libndctl-dev (>= 64),
                pandoc,
                pkg-config,
                strace,
-               valgrind,
-               valgrind (>= 1:3.15.0) [arm64],
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://pmem.io/pmdk/
@@ -95,6 +94,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemblk1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmemblk1
@@ -136,6 +137,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemlog1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmemlog1
@@ -171,6 +174,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemobj1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmemobj1
@@ -180,6 +185,14 @@
  .
  This package contains libraries and header files used for linking programs
  against libpmemobj.
+
+Package: libpmemobj-doc
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends},
+         libpmemobj-cpp-doc
+Description: Transitional package for libpmemobj-cpp-doc
+ This is a transitional package. It can safely be removed.
 
 Package: libpmempool1
 Architecture: amd64 arm64
@@ -214,6 +227,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmempool1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmempool1
@@ -273,15 +288,3 @@
  (pmem) utilizing RDMA-capable RNICs.
  .
  This package contains libraries and header files used for linking programs
- against librpmem.
-
-Package: libvmem1
-Architecture: amd64 arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Persistent Memory volatile memory support library
- The libvmem library turns a pool of persistent memory into a volatile memory
- pool, similar to the system heap but kept separate and with its own
- malloc-style API.
- .
- libvmem supports the traditional malloc/free interfaces on a memory mapped
- file.  This allows the use of persistent memory as volatile memory, for cases
