=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,6 @@
 	echo "TEST_BUILD=\"debug nondebug\"" >> src/test/testconfig.sh
 	# Display execution time of each test
 	echo "TM=1" >> src/test/testconfig.sh
-	# Still fails/times out on weird setups (a 33GB fallocate).
-	rm -f src/test/obj_pool/TEST34
 	# Be nice to slow hardware.
 	echo TEST_TIMEOUT=30m >> src/test/testconfig.sh
 	+$(MAKE) check
