=== debian/tests/control ===
Tests: manage-pools
Depends: pmdk-tools

Tests: daxio-version
Depends: pmdk-tools
Restrictions: allow-stderr

Tests: rpmemd-version
Depends: pmdk-tools
Restrictions: allow-stderr, skippable
